Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Queue a full validation run (coverage + physics + distribution + sim-to-real).
cURL
curl --request POST \ --url https://api.example.com/v1/validate/full \ --header 'Content-Type: application/json' \ --data ' { "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "reference_dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "options": {} } '
import requestsurl = "https://api.example.com/v1/validate/full"payload = { "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "reference_dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "options": {}}headers = {"Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({ dataset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', reference_dataset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', options: {} })};fetch('https://api.example.com/v1/validate/full', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "queued" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Successful Response